=== debian/changelog ===
sigil (2.0.1+dfsg1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:59:40 +1100

sigil (2.0.1+dfsg1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:05:38 +0000

sigil (2.0.1+dfsg1-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:15:24 +0100

sigil (2.0.1+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:54:51 +0000

sigil (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.0.1+dfsg1.
    + https://sigil-ebook.com/blog/sigil-2.0.0-released/
    + https://sigil-ebook.com/blog/sigil-2.0.1-released/
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/1.9.30
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/2.0.0
    + https://github.com/Sigil-Ebook/Sigil/releases/tag/2.0.1
  * Update watchfile to use tags instead of releases in github.
  * Refresh th eupstream signing key that was expired,
  * Drop patch applied upstream.
  * d/rules: update path to the embedded jquery.
  * Repack to remove the docs/ directory that does not contain anything useful
    for us and just triggers lintian.
  * Update copyright.
  * Adjust lintian override syntax

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 14:09:34 +0530
