=== debian/changelog ===
sigil (2.2.1+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * python3-six is deprecated and being slowly removed.  Closes: #1069014

  [ Mattia Rizzolo ]
  * New upstream version 2.2.1+dfsg.
    https://sigil-ebook.com/blog/sigil-2.0.2-released/
    https://sigil-ebook.com/blog/sigil-2.1.0-released/
    https://sigil-ebook.com/blog/sigil-2.2.0-released/
    https://sigil-ebook.com/blog/sigil-2.2.1-released/
    + Support Python 3.12.  Closes: #1064992
  * Update copyright.
  * Build sigil with Qt6.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jul 2024 10:45:08 +0900
