=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sigil
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
+Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -14,12 +13,13 @@
  libpcre2-dev,
  pkg-config,
  python3-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- qtwebengine5-dev,
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-svg-dev,
+ qt6-tools-dev,
+ qt6-webengine-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -48,7 +48,6 @@
  python3-pyqt5,
  python3-pyqtwebengine,
  python3-regex,
- python3-six,
 Suggests:
  pageedit,
 Description: multi-platform ebook editor
