## sigil 2.3.1%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,12 +29,6 @@
     set ( WIN_MIN_VERSION 6.1.7601 )
 endif()
 
-# Default to using Qt6 for builds
-# Enable Qt5 with -DUSE_QT5=1 in cmake config command
-if ( NOT DEFINED USE_QT5 )
-    set( USE_QT5 0 )
-endif()
-
 if (${CMAKE_VERSION} VERSION_GREATER_EQUAL ${RECENT_CMAKE_VER} AND ${TRY_NEWER_FINDPYTHON3})
     set ( USE_NEWER_FINDPYTHON3 1 )
 else()
@@ -58,7 +52,7 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 2 )
-set( SIGIL_MINOR_VERSION 2 )
+set( SIGIL_MINOR_VERSION 3 )
 set( SIGIL_REVISION_VERSION 1 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
