=== src/CMakeLists.txt ===
--- 
+++ 
@@ -234,6 +234,8 @@
     Widgets/TextDocument.cpp
     Widgets/TVLineNumberArea.cpp
     Widgets/TVLineNumberArea.h
+    Widgets/CaretStyle.cpp
+    Widgets/CaretStyle.h
     )
 
 set( EXPORTER_FILES
@@ -351,8 +353,6 @@
     Misc/Plugin.h
     Misc/PluginDB.cpp
     Misc/PluginDB.h
-    Misc/QCodePage437Codec.cpp
-    Misc/QCodePage437Codec.h
     Misc/SearchOperations.cpp
     Misc/SearchOperations.h
     Misc/SigilDarkStyle.cpp
@@ -407,3 +407,4 @@
     MiscEditors/ClipEditorModel.h
     MiscEditors/ClipEditorTreeView.cpp
     MiscEditors/ClipEditorTreeView.h
+    MiscEditors/IndexEditorModel.cpp
