=== internal/gumbo/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 #########################################################
 
-cmake_minimum_required( VERSION 3.0 ) 
+cmake_minimum_required( VERSION 3.5 ) 
 
 project( sigilgumbo C )
