## sigil 2.3.1+dfsg

=== debian/changelog ===
sigil (2.3.1+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.3.1+dfsg.
  * Remove the no longer supported qt6-5compat-dev.
  * Add preferred alternative python3-pyqt6 dependency.
  * Restore python3-six as dependency, and make recommended depends explicit.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Jan 2025 20:18:21 -0800
