=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,8 @@
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
