## sigil 2.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,39 @@
 #########################################################
 
 # Hard minimum version of cmake for all sub projects and Sigil
-cmake_minimum_required( VERSION 3.5 ) 
+cmake_minimum_required( VERSION 3.18 ) 
 
 project( Sigil )
 
-# Need CMAKE 3.18+ to make full use of new FindPython3
-# with the Development.Embed submodule.
-set( RECENT_CMAKE_VER "3.18.1" )
+# Change this URL if the location of the CI Windows Qt6 download ever changes
+set (WINQTURL "https://github.com/dougmassay/win-qtwebkit-5.212/releases/download/v5.212-1")
+
+# Used to keep downloaded Qt and PySide6 versions in sync.
+# Check https://github.com/dougmassay/win-qtwebkit-5.212/releases/ to
+# see what versions are available. Defaults to 6.7.3.
+if(NOT DEFINED QTVER)
+    set(QTVER 6.7.3)
+endif()
+
+# Default to using newe findPython3 on Windows and Linux
 if ( NOT DEFINED TRY_NEWER_FINDPYTHON3 )
-    set ( TRY_NEWER_FINDPYTHON3 0 )
+    if ( NOT APPLE )
+        set ( TRY_NEWER_FINDPYTHON3 1 )
+    else()
+        set ( TRY_NEWER_FINDPYTHON3 0 )
+    endif()
+endif()
+
+# Set to 1 to create and use a virtual Python venv on Windows and Linux.
+# Use in conjunction with QTVER to download/install correct PySide6 module
+if ( NOT DEFINED USE_VIRT_PY )
+    set ( USE_VERT_PY 0 )
+endif()
+
+# Set to 1 to download and use a custom-built Qt from WINQTURL.
+# Use in conjunction with QTVER to clarify which version of Qt to download.
+if ( NOT DEFINED DOWNLOAD_QT )
+    set ( DOWNLOAD_QT 0 )
 endif()
 
 # Set Inno minimum Windows version 
@@ -29,7 +53,7 @@
     set ( WIN_MIN_VERSION 6.1.7601 )
 endif()
 
-if (${CMAKE_VERSION} VERSION_GREATER_EQUAL ${RECENT_CMAKE_VER} AND ${TRY_NEWER_FINDPYTHON3})
+if (TRY_NEWER_FINDPYTHON3)
     set ( USE_NEWER_FINDPYTHON3 1 )
 else()
     set ( USE_NEWER_FINDPYTHON3 0 )
@@ -40,10 +64,13 @@
 if (MSVC_IDE)
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/bin")
+   set( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${PROJECT_BINARY_DIR}/bin")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
+   set( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELWITHDEBINFO "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG "${PROJECT_BINARY_DIR}/lib")
    set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE "${PROJECT_BINARY_DIR}/lib")
+   set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELWITHDEBINFO "${PROJECT_BINARY_DIR}/lib")
 endif()
 set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
 set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
@@ -52,8 +79,8 @@
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )
 
 set( SIGIL_MAJOR_VERSION 2 )
-set( SIGIL_MINOR_VERSION 3 )
-set( SIGIL_REVISION_VERSION 1 )
+set( SIGIL_MINOR_VERSION 4 )
+set( SIGIL_REVISION_VERSION 2 )
 set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )
 
 if( UNIX AND NOT APPLE )
@@ -117,27 +144,53 @@
 if (${USE_NEWER_FINDPYTHON3})
     message(STATUS "Using newer findpython3 cmake module")
     if ( APPLE )
-        find_package(Python3 3.8 COMPONENTS Interpreter Development)
+        find_package(Python3 3.9 COMPONENTS Interpreter Development)
     endif()
     if ( WIN32 )
-        find_package(Python3 3.5 COMPONENTS Interpreter Development)
+        if ( DOWNLOAD_QT )
+            include(windownloadqt.cmake)
+            set(CMAKE_PREFIX_PATH "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTVER}/lib/cmake")
+            set(Qt6_Dir "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTVER}/lib/cmake/Qt6")
+            if(NOT EXISTS "${Qt6_Dir}")
+                message(FATAL_ERROR "Qt6 download/configure unsuccessful!")
+            endif()
+        endif()
+        if ( USE_VIRT_PY )
+            include(winvirtpy.cmake)
+            # Set hints so virtual Python environement is found first
+            set(Python3_FIND_VIRTUAL ONLY)
+            set(Python3_FIND_REGISTRY NEVER)
+            set(Python3_FIND_STRATEGY LOCATION)
+            # Trick cmake's findPython3 module into thinking the virtual python is activated
+            set(VIRT_PATH "${CMAKE_CURRENT_BINARY_DIR}/sigilpy")
+            set(ENV{VIRTUAL_ENV} "${VIRT_PATH}")
+            if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/sigilpy/Scripts/python.exe")
+                message(FATAL_ERROR "Virtual Python setup unsuccessful!")
+            endif()
+        endif()
+        find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
     endif()
     if( UNIX AND NOT APPLE )
-        find_package(Python3 3.4 COMPONENTS Interpreter Development)
+        if ( USE_VIRT_PY )
+            # Must be run in an environment with the venv activated
+            set ( Python3_FIND_VIRTUAL ONLY )
+            add_definitions( -DLINUX_VIRT_PY )
+        endif()
+        find_package(Python3 3.9 COMPONENTS Interpreter Development)
     endif()
 else()
     message(STATUS "Using older findpython cmake module")
     if ( APPLE )
-        find_package(PythonInterp 3.8)
-        find_package (PythonLibs 3.8)
+        find_package(PythonInterp 3.11)
+        find_package (PythonLibs 3.11)
     endif()
     if ( WIN32 )
-        find_package(PythonInterp 3.5)
-        find_package (PythonLibs 3.5)
+        find_package(PythonInterp 3.9)
+        find_package (PythonLibs 3.9)
     endif()
     if( UNIX AND NOT APPLE )
-        find_package(PythonInterp 3.4)
-        find_package (PythonLibs 3.4)
+        find_package(PythonInterp 3.9)
+        find_package (PythonLibs 3.9)
     endif()
 endif()
