=== src/CMakeLists.txt ===
--- 
+++ 
@@ -98,6 +98,8 @@
     Dialogs/EmptyLayout.h
     Dialogs/ManageRepos.cpp
     Dialogs/ManageRepos.h
+    Dialogs/MDViewer.cpp
+    Dialogs/MDViewer.h
     Dialogs/OpenWithName.cpp
     Dialogs/OpenWithName.h
     Dialogs/RepoLog.cpp
@@ -127,6 +129,8 @@
     Dialogs/SelectIndexTitle.h
     Dialogs/SelectFiles.cpp
     Dialogs/SelectFiles.h
+    Dialogs/SemanticTargetID.cpp
+    Dialogs/SemanticTargetID.h
     Dialogs/AddAutomateTool.cpp
     Dialogs/AddAutomateTool.h
     Dialogs/AddAutomatePlugin.cpp
@@ -405,6 +409,3 @@
 set( MISC_EDITORS_FILES
     MiscEditors/ClipEditorModel.cpp
     MiscEditors/ClipEditorModel.h
-    MiscEditors/ClipEditorTreeView.cpp
-    MiscEditors/ClipEditorTreeView.h
-    MiscEditors/IndexEditorModel.cpp
