=== debian/changelog ===
sigil (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.2+dfsg.
    https://sigil-ebook.com/blog/sigil-2.3.0-released/
    https://sigil-ebook.com/blog/sigil-2.3.1-released/
    https://sigil-ebook.com/blog/sigil-2.4.0-released/
    https://sigil-ebook.com/blog/sigil-2.4.2-released/
    + Fix build with Qt 6.8.  Closes: #1100318
  * Update copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * New dependencies: libcups2-dev, libxkbcommon-x11-dev, libxkbfile-dev.
  * Delete some useless documentation from the installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 16 Mar 2025 17:30:01 +0100
