=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: sigil
 Section: editors
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               dh-sequence-python3,
-               libhunspell-dev,
-               libjs-jquery,
-               libjs-jquery-scrollto,
-               libminizip-dev,
-               libpcre2-dev,
-               pkg-config,
-               python3-dev,
-               qt6-base-dev,
-               qt6-svg-dev,
-               qt6-tools-dev,
-               qt6-webengine-dev,
-               zlib1g-dev
-Standards-Version: 4.7.0
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ cmake,
+ libcups2-dev,
+ libhunspell-dev,
+ libjs-jquery,
+ libjs-jquery-scrollto,
+ libminizip-dev,
+ libpcre2-dev,
+ libxkbcommon-x11-dev,
+ libxkbfile-dev,
+ pkgconf,
+ python3-dev,
+ qt6-5compat-dev,
+ qt6-base-dev,
+ qt6-svg-dev,
+ qt6-tools-dev,
+ qt6-webengine-dev,
+ zlib1g-dev,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://sigil-ebook.com
 Vcs-Git: https://salsa.debian.org/debian/sigil.git
@@ -26,27 +30,29 @@
 
 Package: sigil
 Architecture: any
-Depends: libhunspell-dev,
-         libjs-jquery-scrollto,
-         python3-dulwich,
-         python3-lxml,
-         sigil-data (<< ${source:Version}+),
-         sigil-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         python3-six,
-            python3,
-            python3-chardet,
-            python3-css-parser,
-            python3-cssselect,
-            python3-cssutils,
-            python3-html5lib,
-            python3-pil,
-            python3-pyqt6,
-#            python3-pyqtwebengine,
-            python3-regex
-Suggests: pageedit
+Depends:
+ libhunspell-dev,
+ libjs-jquery-scrollto,
+ python3-dulwich,
+ python3-lxml,
+ sigil-data (<< ${source:Version}+),
+ sigil-data (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python3,
+ python3-chardet,
+ python3-css-parser,
+ python3-cssselect,
+ python3-cssutils,
+ python3-html5lib,
+ python3-pil,
+ python3-pyqt5,
+ python3-pyqtwebengine,
+ python3-regex,
+Suggests:
+ pageedit,
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -72,8 +78,10 @@
 Package: sigil-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: sigil (= ${source:Version})
+Depends:
+ ${misc:Depends},
+Recommends:
+ sigil (= ${source:Version}),
 Description: multi-platform ebook editor - data files
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -96,4 +104,4 @@
   * HTML Tidy: all imported files have their formatting corrected, and your
     editing can be optionally cleaned.
  .
- This package provides the architecture-independent files.
+ This package provides the architecture-independant files.
