=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,12 @@
 		-DINSTALL_HICOLOR_ICONS=1 \
 
 execute_before_dh_install:
+	# these are all "documentation" that is useless for the user, or already available (i.e. d/copyright)
 	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
+	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/python3lib/unidecode/LICENSE
+	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/python3lib/unidecode/README.rst
+	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/AUTHORS.txt
+	rm -v $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/sigil_custom_changes_to_bs4-4.4.0.patch.txt
 
 override_dh_python3:
 	dh_python3 --no-ext-rename
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
